package com.iden.common.facetool.pool;

import com.face.monitor.FaceMonitor;
import org.springframework.beans.factory.annotation.Value;


public class MyFaceMonitor {

    private FaceMonitor faceMonitor;

    @Value("${iden.root:#{null}}")
    private String idenRoot;

    public MyFaceMonitor() {
        synchronized (this) {
            if( this.faceMonitor == null) {
                //初始化引擎
                this.faceMonitor = new FaceMonitor();
                faceMonitor.init(idenRoot + "face/model", 0);
            }
        }
    }

    public FaceMonitor getFaceMonitor() {
        return this.faceMonitor;
    }

}